%define module_name SQL-Translator-Producer-GraphQL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(GraphQL.pm) perl(GraphQL/Plugin/Convert/DBIC.pm) perl(SQL/Translator.pm) perl(SQL/Translator/Producer/DBIx/Class/File.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: GraphQL schema producer for SQL::Translator
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module will produce a the GraphQL::Schema manpage from the given
the SQL::Translator::Schema manpage. It does this by first
turning it into a the DBIx::Class::Schema manpage using
the SQL::Translator::Producer::DBIx::Class::File manpage, and introspecting it.

Its `Query' type represents a guess at what fields are suitable, based
on providing a lookup for each type (a the DBIx::Class::ResultSource manpage)
by each of its columns.

The `Mutation' type is similar: one `create/update/delete(type)' per
"real" type.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/S*

%changelog
* Mon Nov 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Sun Nov 05 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Mon Oct 30 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

